SDL_GetAudioStreamFormat(3)

NAME
SDL_GetAudioStreamFormat - Query the current format of an audio stream.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetAudioStreamFormat(SDL_AudioStream *stream,
                             SDL_AudioSpec *src_spec,
                             SDL_AudioSpec *dst_spec);

FUNCTION PARAMETERS

stream
    the SDL_AudioStream
     to query.

src_spec
    Where to store the input audio format; ignored if NULL.

dst_spec
    Where to store the output audio format; ignored if NULL.

RETURN VALUE
Returns 0 on success, or -1 on error.

THREAD SAFETY
It is safe to call this function from any thread, as it holds a stream-specific mutex while running.

AVAILABILITY
This function is available since SDL 3.0.0.